# TQScintilla: QextScintillaLexerBash Class Reference

# QextScintillaLexerBash Class Reference

The QextScintillaLexerBash class encapsulates the Scintilla Bash lexer. More...

`#include <qextscintillalexerbash.h>`

Inherits QextScintillaLexer.

List of all members.

## Public Types

- Default = 0
- WhiteSpace = Default
- Error = 1
- Comment = 2
- Number = 3
- Keyword = 4
- DoubleQuotedString = 5
- SingleQuotedString = 6
- Operator = 7
- Identifier = 8
- Scalar = 9
- ParameterExpansion = 10
- Backticks = 11
- HereDocumentDelimiter = 12
- SingleQuotedHereDocument = 13
- enum {
  Default = 0, WhiteSpace = Default, Error = 1,
  Comment = 2, Number = 3, Keyword = 4,
  DoubleQuotedString = 5, SingleQuotedString = 6, Operator = 7,
  Identifier = 8, Scalar = 9, ParameterExpansion = 10,
  Backticks = 11, HereDocumentDelimiter = 12, SingleQuotedHereDocument = 13
  }

## Public Slots

- virtual void setFoldComments (bool fold)
- virtual void setFoldCompact (bool fold)

## Public Member Functions

- QextScintillaLexerBash (TQObject *parent=0, const char *name=0)
- virtual ~QextScintillaLexerBash ()
- const char * language () const
- const char * lexer () const
- int braceStyle () const
- const char * wordCharacters () const
- TQColor color (int style) const
- bool eolFill (int style) const
- TQFont font (int style) const
- const char * keywords (int set) const
- TQString description (int style) const
- TQColor paper (int style) const
- void refreshProperties ()
- bool foldComments () const
- bool foldCompact () const

## Protected Member Functions

- bool readProperties (TQSettings &qs, const TQString &prefix)
- bool writeProperties (TQSettings &qs, const TQString &prefix) const

## Detailed Description

The QextScintillaLexerBash class encapsulates the Scintilla Bash lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Bash lexer.

Enumerator:

  Default | The default.

  WhiteSpace

  Deprecated:
    White space.

  Error | An error.
  Comment | A comment.
  Number | A number.
  Keyword | A keyword.
  DoubleQuotedString | A double-quoted string.
  SingleQuotedString | A single-quoted string.
  Operator | An operator.
  Identifier | An identifier.
  Scalar | A scalar.
  ParameterExpansion | Parameter expansion.
  Backticks | Backticks.
  HereDocumentDelimiter | A here document delimiter.
  SingleQuotedHereDocument | A single quoted here document.

## Constructor & Destructor Documentation

QextScintillaLexerBash::QextScintillaLexerBash | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a QextScintillaLexerBash with parent parent and name name. parent is typically the QextScintilla instance.

virtual QextScintillaLexerBash::~QextScintillaLexerBash | ( |  | ) | `[virtual]`

Destroys the QextScintillaLexerBash instance.

## Member Function Documentation

const char* QextScintillaLexerBash::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Implements QextScintillaLexer.

const char* QextScintillaLexerBash::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Implements QextScintillaLexer.

TQColor QextScintillaLexerBash::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerBash::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from QextScintillaLexer.

TQFont QextScintillaLexerBash::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from QextScintillaLexer.

const char* QextScintillaLexerBash::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QextScintillaLexer.

TQString QextScintillaLexerBash::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Implements QextScintillaLexer.

TQColor QextScintillaLexerBash::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from QextScintillaLexer.

void QextScintillaLexerBash::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerBash::foldComments | ( |  | ) | const

Returns TRUE if multi-line comment blocks can be folded.

See also:
  setFoldComments()

bool QextScintillaLexerBash::foldCompact | ( |  | ) | const

Returns TRUE if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

virtual void QextScintillaLexerBash::setFoldComments | ( | bool | fold | ) | `[virtual, slot]`

If fold is TRUE then multi-line comment blocks can be folded. The default is FALSE.

See also:
  foldComments()

virtual void QextScintillaLexerBash::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is TRUE then trailing blank lines are included in a fold block. The default is TRUE.

See also:
  foldCompact()

bool QextScintillaLexerBash::readProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. TRUE is returned if there is no error.

Reimplemented from QextScintillaLexer.

bool QextScintillaLexerBash::writeProperties | ( | TQSettings & | qs,
|  | const TQString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. TRUE is returned if there is no error.

Reimplemented from QextScintillaLexer.